net.sourceforge.pmd

## Class ExternalRuleID

- java.lang.Object
- - net.sourceforge.pmd.ExternalRuleID

    public class ExternalRuleID
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ExternalRuleID(String id)`

### Method Summary

Methods
`String` `getFilename()`
`String` `getRuleName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExternalRuleID

    public ExternalRuleID(String id)

### Method Detail

#### getFilename

    public String getFilename()

#### getRuleName

    public String getRuleName()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`